<?php

namespace App\Models\System\Settings;

class OS
{
    /**
     * MacOS
     */
    public const MACOS = 'macos';

    /**
     * Linux
     */
    public const LINUX = 'linux';

    /**
     * Windows
     */
    public const WINDOWS = 'windows';

    /**
     * IOS
     */
    public const IOS = 'ios';

    /**
     * Android
     */
    public const ANDROID = 'android';

    /**
     * Operationg systems
     */
    public static function types(): array
    {
        return [
            self::IOS => 'IOS',
            self::ANDROID => 'Android',
        ];
    }

    /**
     * Website - shop.post.tm
     */
    public const WEBSITE = 'site';

    /**
     * Admin panel - admin shop.post.tm
     */
    public const ADMIN = 'admin';

    /**
     * Ecommerce app - postshop
     */
    public const MOBILE_APP = 'mobile_app';

    /**
     * Seller app - postshop satyjy
     */
    public const MOBILE_ADMIN = 'mobile_admin';

    /**
     * Our Apps
     */
    public static function apps(): array
    {
        return [
            self::WEBSITE => __('Website'),
            self::ADMIN => __('Admin Panel'),
            self::MOBILE_APP => __('Mobile app'),
            self::MOBILE_ADMIN => __('Mobile admin'),
            self::ANDROID => __('Android'),
            self::IOS => __('IOS'),
        ];
    }

    /**
     * Default value
     */
    public static function default(): string
    {
        return self::WEBSITE;
    }
}
